Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Modify Limit Order (SIGNED)

Applicable for modifying contract limit orders

Request URL

POST https://cloud-api.wooxpro.com/contract/private/modify-limit-order

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl 
 -H 'X-BM-KEY:{{AccessKey}}'
 -H 'X-BM-TIMESTAMP:{{currentTime}}'
 -H 'X-BM-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "order_id":220906179559421,
  "client_order_id":"123456",
  "price":"1450",
  "size":1
}'
https://cloud-api.wooxpro.com/contract/private/modify-limit-order
参数类型是否必填描述
symbolStringYesSymbol of the contract(like BTCUSDT)
order_idIntNoOrder ID(order_id or client_order_id must give one)
client_order_idStringNoClient-defined OrderId(A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 32 characters)
priceStringNoOrder Price(price or size must give one)
sizeIntNoOrder Size(size or price must give one)

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": 220609666322019,
    "client_order_id": "123456"
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
FieldTypeDescription
order_idIntOrder ID
client_order_idStringClient Order ID